Sympa::Spool::Task(3Sympa)

NAME
Sympa::Spool::Task - Spool for tasks

SYNOPSIS
  use Sympa::Spool::Task;
  my $spool = Sympa::Spool::Task->new;

  $spool->store($task);

  my ($task, $handle) = $spool->next;

DESCRIPTION
Sympa::Spool::Task implements the spool for tasks.

  Methods
See also "Public methods" in Sympa::Spool.

next ( [ no_filter => 1 ], [ no_lock => 1 ] )
    Order is controlled by date element of file name. if "no_filter" is not set, messages with date newer than current time are skipped.

    All necessary tasks are created and stored into spool in advance.

quarantine ( $handle )
    Removes a task: The same as remove(). This spool does not have "bad/" subdirectory.

  Context and metadata
See also "Marshaling and unmarshaling metadata" in Sympa::Spool.

This class particularly gives following metadata:

{date}
    Unix time when task will be executed at the next time.

{label}
{model}
    TBD.

CONFIGURATION PARAMETERS
Following site configuration parameters in sympa.conf will be referred.

queuetask
    Directory path of task spool.

SEE ALSO
task_manager(8), Sympa::Spool, Sympa::Task.

HISTORY
Sympa::Spool::Task appeared on Sympa 6.2.37b.2.